Subject: Re: [RFC/PATCH] git push usability improvements and default change

From: Finn Arne Gangstad <[email-masked]>
Date: Tue, 10 Mar 2009 09:46:15 +0100

On Tue, Mar 10, 2009 at 12:35:12AM +0100, Johannes Schindelin wrote:
> Hi,
> 
> On Mon, 9 Mar 2009, Finn Arne Gangstad wrote:
> 
> > git push default change:
> > 
> > git push will by default push "nothing" instead of "matching".
> 
> Hasn't this been shot down already?  I do not want that change.  I think 
> it is harmful.
> 
> At least without a proper way to prepare existing users for the end of the 
> world.

That is pretty much what patches 4 and 5 are about - add nice
warnings, but do not change behavior. 6 introduces the changed default.

- Finn Arne